import type { Session, User } from "$lib/auth";

// See https://kit.svelte.dev/docs/types#app
// for information about these interfaces
declare global {
	namespace App {
		// interface Error {}
		// interface PageData {}
		// interface PageState {}
		interface Locals {
			user: User | null;
			session: Session | null;
		}
		interface Platform {
			env?: {
				TCL_GUESSR_D1: D1Database;
			};
		}
	}
}

export {};
