import { Discord } from "arctic";
import { DISCORD_CLIENT_ID, DISCORD_CLIENT_SECRET } from "$env/static/private";
import { PUBLIC_BASE_URL } from "$env/static/public";

export interface DiscordUser {
	id: string;
	username: string;
	avatar: string;
}

export const discord = new Discord(
	DISCORD_CLIENT_ID,
	DISCORD_CLIENT_SECRET,
	`${PUBLIC_BASE_URL}/login/callback`,
);
