export type SessionValidationResult =
	| { session: Session; user: User }
	| { session: null; user: null };

export interface Session {
	id: string;
	userId: string;
	expiresAt: Date;
}

export interface User {
	id: string;
	name: string;
	avatarHash: string;
}

export interface CookieData {
	state: string;
	codeVerifier: string;
	next: string;
}
