export interface GameOptions {
	mode: "easy" | "hard" | "extreme demon ultra miguel";
	stopsType: "metro" | "tram";
}

export interface MapData {
	lines: [GeoJSON.Feature, string][];
	stops: [number, number][];
}

export interface ClientGameData {
	stopNames: string[];
	gameId: string;
}

export interface CheckData {
	gameId: string;
	stopName: string;
	latlng: [number, number];
}

export interface CheckResponse {
	solution: [number, number];
	distance: number;
	score: number;
}
